MySQL, MariaDB

Problems with the Windows version of XAMPP, questions, comments, and anything related.

MySQL, MariaDB

Postby martal » 14. December 2017 19:10

I've downloaded the most recent version -- to get PHP 7 working on localhost. Not happening in WAMP. Now got Beaver Builder templates!

On my WordPress site, Beaver Builder Theme, BB plugin.

After downloading XAMPP.

Do I have MySQL, or MariaDB? Confused.

My first plugin is always BackupBuddy. And its Server Tools (I've fixed all the PHP Memory Limits and the like):

Server Configuration Suggestion Value Status
MySQL Version >= 5.6.0 (WordPress recommends 5.6+) 5.5.5 Warning

So its warning my MySQL version is too low.

I had to give up 1&1 for that very reason!

Is my database set up correctly? All standard from download.

What are my steps now? Ignore, because BackupBuddy is not seeing MariaDB correctly, or something else?

Thanks for your time. My first post.
martal
 
Posts: 2
Joined: 14. December 2017 18:21
XAMPP version: 7.1.11
Operating System: Windows 7 Home Premium Srv P 1

Re: MySQL, MariaDB

Postby Nobbie » 14. December 2017 23:04

martal wrote:Do I have MySQL, or MariaDB? Confused.


MariaDB.

martal wrote:So its warning my MySQL version is too low.

I had to give up 1&1 for that very reason!


No, you gave it up freely due to a useless warning. Of course MariaDB has different version management than MySQL, that does not mean anything about functionality. Nobody forced you to give up anything. You decided to do so.

martal wrote:What are my steps now? Ignore, because BackupBuddy is not seeing MariaDB correctly, or something else?


Ignore. Whatelse.
Nobbie
 
Posts: 10146
Joined: 09. March 2008 13:04

Re: MySQL, MariaDB

Postby vgriffin » 24. December 2017 03:31

If you're still confused about whether you're running MySQL or MariaDB, use your phpMyAdmin Home page.
vgriffin
 
Posts: 8
Joined: 20. December 2017 04:53
XAMPP version: 7.1.12
Operating System: Windows 10

Re: MySQL, MariaDB

Postby martal » 25. December 2017 21:52

Thank you for your reply.

I should have gone to iThemes BackupBuddy first for a cordial reply. I did and appreciate it. They are very good at human relations, even through our medium.

For some, required, reason, MariaDB is reporting a version string that is MySQL for those that require, eg BackupBuddy. So, in BackupBuddy, it's a false alarm. (I can provide details if required.)

In other words, safe to ignore.

For your information, Nobbie:

I did not give up 1&1 (a major and well-known host) because of the error in BackupBuddy regarding the MySQL version.

I had to give it up because of this sequence:

Download and install the latest WordPress, to localhost. (That will include MySQL 5.6+)

Work your website and upload to 1&1 (test folder, which runs on MySQL 5.5). Will not work.

Tried every way, and the others, to make it work. Nope. MySQL too oldie. Block.

Forums, many. Phoned 1&1. Your old 5.5 MySQL is not compatible with latest WordPress, I said, and I can prove it.

1&1 person doesn't understand what I am talking about.

Sadly, good bye 1&1. And hello TSOhost.

We can close this now.

Thank you Nobbie and vgriffin
martal
 
Posts: 2
Joined: 14. December 2017 18:21
XAMPP version: 7.1.11
Operating System: Windows 7 Home Premium Srv P 1


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 66 guests